Bug 524231 - rhnpush fails with ESX 3.5 rpms
Summary: rhnpush fails with ESX 3.5 rpms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space07
TreeView+ depends on / blocked
 
Reported: 2009-09-18 13:22 UTC by Milan Zázrivec
Modified: 2009-12-07 12:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-07 12:02:59 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2009-09-18 13:22:38 UTC
Description of problem:
rhnpush of VMware-esx-drivers-scsi-ata_piix rpm file fails with internal
server error:
Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheUploadServer.py", line 107, in _wrapper
    ret = function(req)
  File "/usr/share/rhn/upload_server/handlers/package_push/package_push.py", line 145, in handler
    relative_path=self.rel_package_path, org_id=self.org_id)
  File "/usr/share/rhn/server/rhnPackageUpload.py", line 152, in push_package
    header_end=header_end, channels=channels)
  File "/usr/share/rhn/server/importlib/mpmSource.py", line 210, in create_package
    header_end=header_end, channels=channels)
  File "/usr/share/rhn/server/importlib/headerSource.py", line 373, in createPackage
    channels)
  File "/usr/share/rhn/server/importlib/headerSource.py", line 141, in populate
    self._populateFiles(header)
  File "/usr/share/rhn/server/importlib/headerSource.py", line 153, in _populateFiles
    self._populateTag(header, 'files', rpmFile)
  File "/usr/share/rhn/server/importlib/headerSource.py", line 207, in _populateTag
    hash[k] = v[i]
IndexError: list index out of range

Version-Release number of selected component (if applicable):
Spacewalk 0.6

How reproducible:
Always

Steps to Reproduce:
1. rhnpush of VMware-esx-drivers-scsi-ata_piix
  
Actual results:
Push fails with traceback.

Expected results:
push succeeds.

Additional info:
https://www.redhat.com/archives/spacewalk-list/2009-September/msg00136.html

Comment 1 Milan Zázrivec 2009-09-30 13:33:57 UTC
For RPM files v3 (as is the VMware-esx-drivers-scsi-ata_piix rpm
file from the report), we need to correctly expand package file list
with rpm.hdr.fullFilelist()

spacewalk.git master: fcbfd62472dd16a078a3b1375ad9eec8d02c94f4

Comment 2 Miroslav Suchý 2009-12-07 12:02:59 UTC
Spacewalk 0.7 released.


Note You need to log in before you can comment on or make changes to this bug.